/* gInfo - Copyright (C) 2004 bakunin - Andrea Marchesini 
 *                                      <bakunin@autistici.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef EXAMPLE_H
#define EXAMPLE_H

char plugin_text_example[] =
  "#include <gtk/gtk.h>\n"
  "#include <malloc.h>\n"
  "#include <ginfo/ginfo_plugin.h>\n"
  "\n"
  "GtkWidget *create_obj(void *arg) {\n"
  "  return gtk_label_new(\"Hello World!\");\n"
  "}\n"
  "\n"
  "int module_default(void) {\n"
  "  return 0;\n"
  "}\n"
  "\n"
  "char *module_name(void) {\n"
  "  return \"hello!\";\n"
  "}\n"
  "\n"
  "int module_genre(void) {\n"
  "  return GINFO_GENRE_SYSTEM;\n"
  "}\n"
  "\n"
  "char ** module_words(void) {\n"
  "  char **list;\n"
  "\n"
  "  list = (char **)malloc(sizeof(char *) * 3);\n"
  "  if(!list) ginfo_error(\"Memory!?!\");\n"
  "\n"
  "  list[0]=\"hello\";\n"
  "  list[1]=\"word\";\n"
  "  list[2]=NULL;\n"
  "\n"
  "  return list;\n"
  "}\n"
  "\n"
  "ginfo_docs *module_docs(int *n) {\n"
  "  void *h;\n"
  "\n"
  "  h = ginfo_easy_docs_init();\n"
  "  ginfo_easy_docs_add(h, \"Examples 1\", create_obj, NULL, \"id_001\");\n"
  "  ginfo_easy_docs_add(h, \"Examples 2\", create_obj, NULL, NULL);\n"
  "  ginfo_easy_docs_add(h, \"Examples 2\", create_obj, NULL, \"ID_UTIL\");\n"
  "\n"
  "  return ginfo_easy_docs_close(h, n);\n"
  "}\n"
  "\n"
  "ginfo_tips *module_tooltips(int *n) {\n"
  "  void *h;\n"
  "\n"
  "  h = ginfo_easy_tips_init();\n"
  "  ginfo_easy_tips_add(h, \"Tooltip 1!\", NULL, NULL, NULL);\n"
  "  ginfo_easy_tips_add(h, \"Tooltip 2!\", NULL, NULL, \"ID_UTIL\");\n"
  "\n" "  return ginfo_easy_tips_close(h, n);\n" "}\n";

#endif
